> import Sound.SC3.Monadic
> import Sound.SC3.UGen.Dot

Simple a-rate only graph.

> draw (out 0 (sinOsc AR 440 0 * 0.1))

With k-rate subgraph.

> let f = lfSaw KR 1 0 * 220 + 440
> in draw (out 0 (sinOsc AR f 0 * 0.1))

With i-rate subgraph

> do { l <- rand 200 400
>    ; m <- rand l 600
>    ; a <- rand 500 900
>    ; let f = lfSaw KR 1 0 * m + a
>      in draw (out 0 (sinOsc AR f 0 * 0.1)) }

With control input

> let f = control KR "freq" 440
> in draw (out 0 (sinOsc AR f 0 * 0.1))

With multiple channel expansion.

> let f = mce2 440 220
> in draw (out 0 (sinOsc AR f 0 * 0.1))

With multiple root graph.

> let { f = mce2 440 220 + in' 2 KR 0
>     ; o1 = sinOsc AR f 0 * 0.1
>     ; o2 = sinOsc KR (mce2 0.25 0.35) 0 * mce2 10 15 }
> in draw (mrg [out 0 o1, out 0 o2])
